Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.monitor.system
Class NetCompleteInfo

    java.lang.Object
      vut.msa.monitor.system.NetCompleteInfo

    public class NetCompleteInfo

extends java.lang.Object

Wrapper pre informacie o sieti

Constructor Summary
`NetCompleteInfo(org.hyperic.sigar.NetInterfaceConfig config, org.hyperic.sigar.NetInterfaceStat stat)`

Method Summary
`org.hyperic.sigar.NetInterfaceConfig` | `getConfig()`
`org.hyperic.sigar.NetInterfaceStat` | `getStat()`
`boolean` | `isEthernet()` Metoda zistuje, ci typ sietoveho adaptera je Ethernet.
`boolean` | `isLoopback()` Metoda zistuje, ci typ sietoveho adaptera je Local loopback.
`void` | `setConfig(org.hyperic.sigar.NetInterfaceConfig config)`
`void` | `setStat(org.hyperic.sigar.NetInterfaceStat stat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetCompleteInfo

    public NetCompleteInfo(org.hyperic.sigar.NetInterfaceConfig config,
                           org.hyperic.sigar.NetInterfaceStat stat)

Method Detail

### getConfig

    public org.hyperic.sigar.NetInterfaceConfig getConfig()

### setConfig

    public void setConfig(org.hyperic.sigar.NetInterfaceConfig config)

### getStat

    public org.hyperic.sigar.NetInterfaceStat getStat()

### setStat

    public void setStat(org.hyperic.sigar.NetInterfaceStat stat)

### isEthernet

    public boolean isEthernet()

  Metoda zistuje, ci typ sietoveho adaptera je Ethernet.

  Returns:
    true, ak je Ethernet;, false, ak nie.

### isLoopback

    public boolean isLoopback()

  Metoda zistuje, ci typ sietoveho adaptera je Local loopback.

  Returns:
    true, ak je Local loopback;, false, ak nie.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD